Skip to main content
Update Job Family
curl --request PATCH \
  --url https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "job_family_name": "Software Engineer",
  "job_family_group": "IT & Engineering",
  "active": true
}
'
[
  {
    "title": "400 Bad Request",
    "description": "The request body was not structured correctly."
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

job_family_external_id
string
required

The unique Job Family ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Body

application/json

Default structure for updating Job Family Data.

job_family_name
string

Name of the Job Family.

Required string length: 1 - 255
Example:

"Software Engineer"

job_family_group
string

Name of the Job Family Group.

Required string length: 1 - 255
Example:

"IT & Engineering"

active
boolean | null
default:true

The Job Family will not be used in matching if active is false. This is useful when a Job Family is being phased out.

Example:

true

Response

No Content